/**
 * Parse file to Model Module
 * @file
 */
import localeFile from './locale';
import parseModule from './parse';
import { pipe } from 'fp-ts/es6/pipeable';
import * as E from 'fp-ts/es6/Either';
/**
 * parse file to locale module
 * @desczh
 * 解析ts文件到`Module`
 */
export const parse = (locale) => (files) => {
    const data = parseModule(files);
    return pipe(data, E.map(as => {
        return as.map(a => localeFile(locale)(a));
    }));
};
/**
 * parse file to locale module
 * @desczh
 * 解析ts文件到`Module`(i18n)
 */
export const parseI18N = (locale) => (files) => {
    const data = parse(locale)(files);
    return pipe(data, E.map(as => as), E.mapLeft(as => as));
};
//# sourceMappingURL=index.js.map