import { parse } from 'doctrine';
import { compareString, arrayCompare } from 'macoolka-compare';
import { Lens } from 'monocle-ts';
import * as A from 'fp-ts/es6/Array';
import { flow } from 'fp-ts/es6/function';
import { pipe } from 'fp-ts/es6/pipeable';
import { array } from 'macoolka-collection';
const lensTitle = Lens.fromProp()('title');
export const parseJSDoc = (source) => {
    return parse(source, { unwrap: true });
};
export const hasTag = (tag) => (annotation) => arrayCompare().contains_every(annotation.tags.map(lensTitle.get))(tag);
export const getTag = (tag) => (annotation) => pipe(annotation.tags, A.findFirst(flow(lensTitle.get, compareString.eq(tag))));
export const tagToRecord = (a) => pipe(a.tags, array.toRecord('title'));
//# sourceMappingURL=jsdoc.js.map