/**
 * Parse ts code to type model
 * @desczh
 * 解析Typescript代码到type model
 * @file
 */
import * as E from 'fp-ts/es6/Either';
import * as ast from 'ts-morph';
import { MMethod, MClass, MInterface, MDocumentable, MField, MValueable } from 'macoolka-type-model/lib/models/InputModule';
import { Module } from 'macoolka-type-model';
import { FileWhereUniqueInput } from 'macoolka-store-core';
export declare type JSDoc = Array<string>;
/**
 * get comment info
 *
 * @since 0.2.0
 */
export declare function getTags(jsdocs: Array<string>, isModule?: boolean): MDocumentable;
export declare const getType: (a: ast.Type, isArray?: boolean) => MValueable;
export declare function getintefaceChildren(interD: ast.InterfaceDeclaration): {
    methods: MMethod[];
    fields: MField[];
};
/**
 * @since 0.2.0
 */
export declare function parseInterface(sourceFile: ast.SourceFile): Array<MInterface>;
/**
 * @since 0.2.0
 */
export declare function getClasses(sourceFile: ast.SourceFile): Array<MClass>;
/**
 * @since 0.2.0
 */
export declare function getModuleInfo(sourceFile: ast.SourceFile): string[] | undefined;
/**
 * Parse Module from some typescript file path
 * @desczh
 * 解析typescript文件到‘typeModule’
 * @since 0.2.0
 */
export declare function parse(files: Array<FileWhereUniqueInput>): E.Either<string, Module.MModule[]>;
export default parse;
